#pragma once
#include "Action.h"


namespace et{
	class AttackAction : public Action
	{
		float m_correction;
	public:
		AttackAction(et::BattlerFacade* pBattler , et::BattlerFacade* pTarget , int cost , float correction = 1.0f);
		virtual ~AttackAction(void);
		virtual int doActionTo(et::BattlerFacade* pTarget);
		virtual mof::AnimationResource createApproachAnimation();
		virtual mof::AnimationResource createExecuteAnimation();
		virtual mof::tstring getActionMessage();
		virtual bool isDirectAttack(){return true;}
	};


}